#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 turtle
version:              1.5.18
visibility:           public
id:                   turtle-1.5.18-GbgasFCWmRT3mKvaCLbhQ9
key:                  turtle-1.5.18-GbgasFCWmRT3mKvaCLbhQ9
license:              BSD-3-Clause
copyright:            2015 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.

    Features include:

    * Batteries included: Command an extended suite of predefined utilities

    * Interoperability: You can still run external shell commands

    * Portability: Works on Windows, OS X, and Linux

    * Exception safety: Safely acquire and release resources

    * Streaming: Transform or fold command output in constant space

    * Patterns: Use typed regular expressions that can parse structured values

    * Formatting: Type-safe @printf@-style text formatting

    * Modern: Supports @text@ and @system-filepath@

    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide

    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.

category:             System
abi:                  82bbeab9716af3ac07edcb514cc0bc0a
exposed:              True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial

hidden-modules:       Turtle.Internal
import-dirs:          /usr/lib/ghc-8.8.3/site-local/turtle-1.5.18
library-dirs:         /usr/lib/ghc-8.8.3/site-local/turtle-1.5.18
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/turtle-1.5.18
hs-libraries:         HSturtle-1.5.18-GbgasFCWmRT3mKvaCLbhQ9
depends:
    ansi-wl-pprint-0.6.9-LtWKTWHyB8p3BwKfdIJV1c
    async-2.2.2-3PY2B7ah6NqF6HAjQ6YlVT base-4.13.0.0
    bytestring-0.10.10.0 clock-0.8-BDr0ZJKaVWEAskyGHHBCXi
    containers-0.6.2.1 directory-1.3.6.0
    exceptions-0.10.4-ElKsHaIv8kxGE3x6lSFI2
    foldl-1.4.6-5Jy9C6uaWE53Klq9pYpOe0
    hostname-1.0-AmuAwo7y3Ql7hBU6rJjFcq
    managed-1.0.7-2wFCwv0rolgGQlt0c4eY4p
    optional-args-1.0.2-7gL5IauFL6SAQfRW5EHXXe
    optparse-applicative-0.15.1.0-6HKlOdxzy2t58xVQgRvVIN
    process-1.6.8.0 stm-2.5.0.0
    streaming-commons-0.2.1.2-4QtVv0e3pX68uTvS72kImG
    system-fileio-0.3.16.4-7VtltmGJu0pLWSMVikl8kJ
    system-filepath-0.4.14-7yUTkyctnri4Ux9Dcq6ucS
    temporary-1.3-BiFXPx2xjAKDOblp9pWkcg text-1.2.4.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-1FQI6nqgJsoGP4VQqT0w3a

haddock-interfaces:   /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html:         /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

